IMAGE-TO-PASCAL(1)

NAME
image-to-pascal - convert image files into Pascal source code

DESCRIPTION
image-to-pascal: Convert image files into Pascal source code, useful together with Castle Game Engine image units.

  Usage:

    image-to-pascal [OPTIONS...] UnitName image_name1.png...

  Available options are:

-h / --help
    Print this help message and exit.

-v / --version
    Print the version number and exit.

--no-show-progress
    Do not show progress on stderr.

-o / --output DIRECTORY
    Place output unit files inside this dir.

-V / --verbose
    Print full log.

@alpha=keep
    Keep the alpha channel on the following images (the default). As a result, alpha channel will be stored in source files.

@alpha=strip
    Strip the alpha channel from the following images.

@alpha=keep-and-bleed Like "keep", moreover perform "alpha bleeding" (see
    https://castle-engine.io/manual_alpha_bleeding.php ) to fix RGB values under transparent pixels.